<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HackingFormulas](./bitburner.hackingformulas.md) &gt; [growPercent](./bitburner.hackingformulas.growpercent.md)

## HackingFormulas.growPercent() method

Calculate the percent a server would grow to. (Ex: 3.0 would would grow the server to 300% of its current value.)

<b>Signature:</b>

```typescript
growPercent(server: Server, threads: number, player: Player, cores?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  server | [Server](./bitburner.server.md) | Server info from [getServer](./bitburner.ns.getserver.md) |
|  threads | number | Amount of thread. |
|  player | [Player](./bitburner.player.md) | Player info from [getPlayer](./bitburner.ns.getplayer.md) |
|  cores | number | Number of cores on the computer that will execute grow. |

<b>Returns:</b>

number

The calculated grow percent.

